ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Public Member Functions | Static Private Attributes | List of all members
cam_layer_factory Class Reference

This class provides a factory class to create a btp_layer class instance. More...

`#include <cam_layer_factory.hh>`

Inheritance diagram for cam_layer_factory:

## Public Member Functions
| cam_layer_factory ()
| Reference to the unique instance of this class. More...
virtual layer * | create_layer (const std::string &p_type, const std::string &p_param)
| Create the layers stack based on the provided layers stack description. More...
Public Member Functions inherited from layer_factory
| layer_factory ()

## Static Private Attributes
static cam_layer_factory | _f

## Detailed Description

This class provides a factory class to create a btp_layer class instance.

This class provides a factory class to create a cam_layer class instance.

## Constructor & Destructor Documentation

## ◆ cam_layer_factory()

cam_layer_factory::cam_layer_factory | ( |  | ) |
| inline

Reference to the unique instance of this class.

Default constructor Create a new instance of the cam_layer_factory class

Remarks
  The CAM layer identifier is CAM

## Member Function Documentation

## ◆ create_layer()

layer * cam_layer_factory::create_layer | ( | const std::string & | type,
|  | const std::string & | param
| ) |  |
| inline virtual

Create the layers stack based on the provided layers stack description.

Parameters

  [in] | p_type | The provided layers stack description
  [in] | p_params | Optional parameters

Returns
  0 on success, -1 otherwise

Implements layer_factory.

## Member Data Documentation

## ◆ _f

cam_layer_factory cam_layer_factory::_f
| static private

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/cam_layer_factory.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/cam_layer.cc